"""migration to bootstrap OIs

Revision ID: 3dce896c76ba
Revises: 160273834510
Create Date: 2016-02-24 15:33:11.542949

"""

# revision identifiers, used by Alembic.
revision = '3dce896c76ba'
down_revision = '160273834510'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('additional_certification1', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('additional_certification2', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('additional_certification3', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('additional_qualification', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_vocational_others', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_vocational_others2', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_vocational_others_jobtitle', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('edu_familyeducation', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('edu_familyeducation_duration', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('edu_familyeducation_others', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('edu_familyeducation_rank', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('edu_familyeducation_rank_others', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('edu_familyeducation_since', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('information', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('information_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('languages_native', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('languages_native_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('languages_secondary', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('languages_secondary_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('languages_tertiary', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('languages_tertiary_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('motivation', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('occupation_edu', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('occupation_edu_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('partner1', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('partner1_coop', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('partner1_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('partner2', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('partner2_coop', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('partner2_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('partner3', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('partner3_coop', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('partner3_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('reason', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('target_audience', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('target_audience_children', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('target_audience_other', sa.String(), server_default='', nullable=True))
    op.add_column('outputindicators', sa.Column('works_with_fathers', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('works_with_lowedufamilies', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('works_with_migrationfamilies', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('works_with_poor', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('works_with_pregnants', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('works_with_singleparents', sa.Integer(), nullable=True))
    op.drop_column('outputindicators', 'edu_vocational_xp_in_job')
    op.drop_column('outputindicators', 'edu_attainment_school_germany')
    op.drop_column('outputindicators', 'children_age')
    op.drop_column('outputindicators', 'jobcenter_job_search')
    op.drop_column('outputindicators', 'access_path_others')
    op.drop_column('outputindicators', 'job_search_assistance')
    op.drop_column('outputindicators', 'moving_in')
    op.drop_column('outputindicators', 'edu_attainment_vocational_recognized')
    op.drop_column('outputindicators', 'lm_employment_supportpurchased')
    op.drop_column('outputindicators', 'lm_employment_category_unemployement_duration')
    op.drop_column('outputindicators', 'access_path')
    op.drop_column('outputindicators', 'lm_employment_category_unemployment_type')
    op.drop_column('outputindicators', 'residence_permit_purpose')
    op.drop_column('outputindicators', 'lm_employment_category_school')
    op.drop_column('outputindicators', 'lm_employment_category_education_enterprise')
    op.drop_column('outputindicators', 'children_number')
    op.drop_column('outputindicators', 'edu_vocational_xp_education')
    op.drop_column('outputindicators', 'misc_german_nationality')
    op.drop_column('outputindicators', 'project_working_time')
    op.drop_column('outputindicators', 'edu_attaiment_vocational_outside_category_academic')
    op.drop_column('outputindicators', 'edu_attaiment_vocational_outside_category')
    op.drop_column('outputindicators', 'edu_attaiment_vocational_inside_category_other')
    op.drop_column('outputindicators', 'learning_self')
    op.drop_column('outputindicators', 'learning_place_school')
    op.drop_column('outputindicators', 'learning_place_practise')
    op.drop_column('outputindicators', 'lm_employment_category_education_school')
    op.drop_column('outputindicators', 'care_kindergarten')
    op.drop_column('outputindicators', 'job_center_help')
    op.drop_column('outputindicators', 'status')
    op.drop_column('outputindicators', 'care_relatives')
    op.drop_column('outputindicators', 'work_experience_germany')
    op.drop_column('outputindicators', 'care_nanny')
    op.drop_column('outputindicators', 'residence_permit_status')
    op.drop_column('outputindicators', 'work_experience_abroad')
    op.drop_column('outputindicators', 'integration_course')
    op.drop_column('outputindicators', 'edu_attaiment_vocational_outside_category_other')
    op.drop_column('outputindicators', 'care_friends')
    op.drop_column('outputindicators', 'emigrant')
    op.drop_column('outputindicators', 'country_origin')
    op.drop_column('outputindicators', 'edu_attaiment_vocational_inside_category')
    op.drop_column('outputindicators', 'lm_employment_category_unemployed')
    op.drop_column('outputindicators', 'industry')
    op.drop_column('outputindicators', 'edu_attainment_school_recognized')
    op.drop_column('outputindicators', 'edu_attainment_vocational_germany')
    op.drop_column('outputindicators', 'care_school')
    op.drop_column('outputindicators', 'lm_employment_category_fulltime_student')
    op.drop_column('outputindicators', 'edu_attaiment_vocational_outside')
    op.drop_column('outputindicators', 'ec_project_module')
    op.drop_column('outputindicators', 'care_own_partner')
    op.drop_column('outputindicators', 'edu_vocational_xp_all')
    op.drop_column('outputindicators', 'lm_employment_category_training')
    op.drop_column('outputindicators', 'german_knowledge')
    op.add_column('resultindicators', sa.Column('ec_course_change', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('ec_new_course_number', sa.String(), nullable=True))
    op.add_column('resultindicators', sa.Column('ec_new_qualification_ec', sa.Integer(), nullable=True))
    op.drop_column('resultindicators', 'qualification_misc')
    op.drop_column('resultindicators', 'children_age')
    op.drop_column('resultindicators', 'success_internship')
    op.drop_column('resultindicators', 'qualification_integration_class')
    op.drop_column('resultindicators', 'success_misc')
    op.drop_column('resultindicators', 'job_organisation')
    op.drop_column('resultindicators', 'job_organisation_others')
    op.drop_column('resultindicators', 'job_organisation_horts')
    op.drop_column('resultindicators', 'job_place_else')
    op.drop_column('resultindicators', 'success_support_group')
    op.drop_column('resultindicators', 'job_position_else')
    op.drop_column('resultindicators', 'children_number')
    op.drop_column('resultindicators', 'qualification_language_course')
    op.drop_column('resultindicators', 'care_relatives')
    op.drop_column('resultindicators', 'worktime')
    op.drop_column('resultindicators', 'project_module')
    op.drop_column('resultindicators', 'change_to_si')
    op.drop_column('resultindicators', 'care_kindergarten')
    op.drop_column('resultindicators', 'new_job_in_future')
    op.drop_column('resultindicators', 'new_job_in_4weeks')
    op.drop_column('resultindicators', 'success_misc_text')
    op.drop_column('resultindicators', 'ecri.new_qualification_type')
    op.drop_column('resultindicators', 'care_nanny')
    op.drop_column('resultindicators', 'success_voluntary')
    op.drop_column('resultindicators', 'job_position')
    op.drop_column('resultindicators', 'care_friends')
    op.drop_column('resultindicators', 'job_organisation_kitas')
    op.drop_column('resultindicators', 'job_organisation_others_else')
    op.drop_column('resultindicators', 'ecri.new_qualification_type_else')
    op.drop_column('resultindicators', 'care_school')
    op.drop_column('resultindicators', 'qualification_misc_text')
    op.drop_column('resultindicators', 'care_own_partner')
    op.drop_column('resultindicators', 'job_place')
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('resultindicators', sa.Column('job_place', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_own_partner', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('qualification_misc_text', sa.TEXT(), server_default=sa.text(u"''::text"), autoincrement=False, nullable=False))
    op.add_column('resultindicators', sa.Column('care_school', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('ecri.new_qualification_type_else', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_organisation_others_else', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_organisation_kitas', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_friends', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_position', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('success_voluntary', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_nanny', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('ecri.new_qualification_type', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('success_misc_text', sa.TEXT(), server_default=sa.text(u"''::text"), autoincrement=False, nullable=False))
    op.add_column('resultindicators', sa.Column('new_job_in_4weeks', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('new_job_in_future', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_kindergarten', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('change_to_si', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('project_module', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('worktime', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('care_relatives', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('qualification_language_course', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('children_number', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_position_else', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('success_support_group', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_place_else', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_organisation_horts', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_organisation_others', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('job_organisation', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('success_misc', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('qualification_integration_class', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('success_internship', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('children_age', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('resultindicators', sa.Column('qualification_misc', sa.INTEGER(), autoincrement=False, nullable=True))
    op.drop_column('resultindicators', 'ec_new_qualification_ec')
    op.drop_column('resultindicators', 'ec_new_course_number')
    op.drop_column('resultindicators', 'ec_course_change')
    op.add_column('outputindicators', sa.Column('german_knowledge', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_training', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_vocational_xp_all', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_own_partner', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('ec_project_module', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attaiment_vocational_outside', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_fulltime_student', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_school', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_vocational_germany', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_school_recognized', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('industry', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_unemployed', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attaiment_vocational_inside_category', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('country_origin', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('emigrant', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_friends', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attaiment_vocational_outside_category_other', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('integration_course', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('work_experience_abroad', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('residence_permit_status', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_nanny', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('work_experience_germany', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_relatives', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('status', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('job_center_help', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('care_kindergarten', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_education_school', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('learning_place_practise', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('learning_place_school', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('learning_self', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attaiment_vocational_inside_category_other', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attaiment_vocational_outside_category', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attaiment_vocational_outside_category_academic', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('project_working_time', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('misc_german_nationality', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_vocational_xp_education', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('children_number', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_education_enterprise', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_school', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('residence_permit_purpose', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_unemployment_type', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('access_path', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_unemployement_duration', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_supportpurchased', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_vocational_recognized', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('moving_in', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('job_search_assistance', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('access_path_others', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('jobcenter_job_search', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('children_age', sa.VARCHAR(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_school_germany', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('edu_vocational_xp_in_job', sa.INTEGER(), autoincrement=False, nullable=True))
    op.drop_column('outputindicators', 'works_with_singleparents')
    op.drop_column('outputindicators', 'works_with_pregnants')
    op.drop_column('outputindicators', 'works_with_poor')
    op.drop_column('outputindicators', 'works_with_migrationfamilies')
    op.drop_column('outputindicators', 'works_with_lowedufamilies')
    op.drop_column('outputindicators', 'works_with_fathers')
    op.drop_column('outputindicators', 'target_audience_other')
    op.drop_column('outputindicators', 'target_audience_children')
    op.drop_column('outputindicators', 'target_audience')
    op.drop_column('outputindicators', 'reason')
    op.drop_column('outputindicators', 'partner3_other')
    op.drop_column('outputindicators', 'partner3_coop')
    op.drop_column('outputindicators', 'partner3')
    op.drop_column('outputindicators', 'partner2_other')
    op.drop_column('outputindicators', 'partner2_coop')
    op.drop_column('outputindicators', 'partner2')
    op.drop_column('outputindicators', 'partner1_other')
    op.drop_column('outputindicators', 'partner1_coop')
    op.drop_column('outputindicators', 'partner1')
    op.drop_column('outputindicators', 'occupation_edu_other')
    op.drop_column('outputindicators', 'occupation_edu')
    op.drop_column('outputindicators', 'motivation')
    op.drop_column('outputindicators', 'languages_tertiary_other')
    op.drop_column('outputindicators', 'languages_tertiary')
    op.drop_column('outputindicators', 'languages_secondary_other')
    op.drop_column('outputindicators', 'languages_secondary')
    op.drop_column('outputindicators', 'languages_native_other')
    op.drop_column('outputindicators', 'languages_native')
    op.drop_column('outputindicators', 'information_other')
    op.drop_column('outputindicators', 'information')
    op.drop_column('outputindicators', 'edu_familyeducation_since')
    op.drop_column('outputindicators', 'edu_familyeducation_rank_others')
    op.drop_column('outputindicators', 'edu_familyeducation_rank')
    op.drop_column('outputindicators', 'edu_familyeducation_others')
    op.drop_column('outputindicators', 'edu_familyeducation_duration')
    op.drop_column('outputindicators', 'edu_familyeducation')
    op.drop_column('outputindicators', 'edu_attainment_vocational_others_jobtitle')
    op.drop_column('outputindicators', 'edu_attainment_vocational_others2')
    op.drop_column('outputindicators', 'edu_attainment_vocational_others')
    op.drop_column('outputindicators', 'additional_qualification')
    op.drop_column('outputindicators', 'additional_certification3')
    op.drop_column('outputindicators', 'additional_certification2')
    op.drop_column('outputindicators', 'additional_certification1')
    ### end Alembic commands ###
    iter_statements(DELETES)
